# dkim_getid()

[back to index]

SYNOPSIS

    #include <dkim.h>

    const char * dkim_getid(
    	DKIM *dkim
    );

Retrieve the "id" parameter from a DKIM handle.

DESCRIPTION

Called When | `dkim_getid()` can be called at any time after a handle is initialized with a call to `dkim_sign()` or `dkim_verify()`.

ARGUMENTS

Argument | Description
--- | ---
dkim | Message-specific handle, returned by `dkim_sign()` or `dkim_verify()`.

RETURN VALUES

Value | Description
--- | ---
`NULL` | The handle was not initialized with a valid `id` parameter.
otherwise | The same `id` pointer with which the handle was initialized.

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.